"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const template_html_1 = require("./template.html");
// The module 'vscode' contains the VS Code extensibility API
// Import the module and reference it with the alias vscode in your code below
const vscode = require("vscode");
const issueProvider_1 = require("./issueProvider");
// this method is called when your extension is activated
// your extension is activated the very first time the command is executed
function activate(context) {
    const issueProvider = new issueProvider_1.IssueProvider();
    // Use the console to output diagnostic information (console.log) and errors (console.error)
    // This line of code will only be executed once when your extension is activated
    vscode.window.registerTreeDataProvider('open-issues', issueProvider);
    vscode.commands.registerCommand('giteaIssues.openIssue', (issue) => {
        const panel = vscode.window.createWebviewPanel('issue', issue.label, vscode.ViewColumn.Active, {});
        // panel.webview.html = "<h1>Issue #" + issue.issueId + "!</h1>";
        // panel.webview.html += "<p>Status: " + issue.issueState + "</p>";
        // panel.webview.html += "<p>Assignees: " + issue.assignee + "</p>";
        // panel.webview.html += "<p>" + issue.body + "</p>";
        panel.webview.html = template_html_1.html(issue);
    });
    // The command has been defined in the package.json file
    // Now provide the implementation of the command with registerCommand
    // The commandId parameter must match the command field in package.json
}
exports.activate = activate;
// this method is called when your extension is deactivated
function deactivate() { }
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map