"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const axios_1 = require("axios");
class IssueProvider {
    constructor() {
        this._onDidChangeTreeData = new vscode.EventEmitter();
        this.onDidChangeTreeData = this._onDidChangeTreeData.event;
        this.issueList = [];
        this.getChildrenAsync();
        const id = setInterval(() => {
            if (this.issueList.length === 0) {
                this._onDidChangeTreeData.fire();
            }
            else {
                clearInterval(id);
            }
        }, 1 * 10);
        setInterval(() => {
            this._onDidChangeTreeData.fire();
        }, 10 * 1000);
    }
    getTreeItem(element) {
        return element;
    }
    getChildrenAsync() {
        return __awaiter(this, void 0, void 0, function* () {
            this.issueList = [];
            for (let i = 0; i !== 10; i++) {
                yield axios_1.default.get("http://git.mypenink.com/api/v1/repos/MyPenInk/Frontend/issues?page=" + i, { headers: { Authorization: "token baab9fb94100c3a4f22213a0d0d0b8ce03c55bec" } }).then(res => {
                    for (const issue of res.data) {
                        const title = issue["title"];
                        const id = issue["number"];
                        const body = issue["body"];
                        const state = issue["state"];
                        const assignee = issue["assignee"] === null ? "None" : issue["assignee"]["username"];
                        const issueForList = new Issue("#" + id + " - " + title, id, body, state, assignee, "Frontend", vscode.TreeItemCollapsibleState.None);
                        this.issueList.push(issueForList);
                    }
                }).catch(err => {
                    console.log(err);
                });
            }
            console.log(this.issueList);
        });
    }
    getChildren(element) {
        return this.issueList;
    }
}
exports.IssueProvider = IssueProvider;
class Issue extends vscode.TreeItem {
    constructor(label, issueId, body, issueState, assignee, firstlabel, collapsibleState, command) {
        super(label, collapsibleState);
        this.label = label;
        this.issueId = issueId;
        this.body = body;
        this.issueState = issueState;
        this.assignee = assignee;
        this.firstlabel = firstlabel;
        this.collapsibleState = collapsibleState;
        this.command = command;
        this.contextValue = 'issue';
    }
    get tooltip() {
        return this.label + " - " + this.assignee;
    }
}
exports.Issue = Issue;
//# sourceMappingURL=issueProvider.js.map